# Uses of Class
javax.swing.text.html.parser.Entity

Packages that use Entity
Package
Description
javax.swing.text.html.parser
Provides the default HTML parser, along with support classes.

## Uses of Entity in javax.swing.text.html.parser

Fields in javax.swing.text.html.parser with type parameters of type Entity
Modifier and Type
Field
Description
`Hashtable<Object,Entity>`
DTD.`entityHash`
The hash table contains an `Object` and the corresponding `Entity`
Methods in javax.swing.text.html.parser that return Entity
Modifier and Type
Method
Description
`Entity`
DTD.`defEntity(String name, int type, int ch)`
Creates and returns a character `Entity`.
`protected Entity`
DTD.`defEntity(String name, int type, String str)`
Creates and returns an `Entity`.
`Entity`
DTD.`defineEntity(String name, int type, char[] data)`
Defines an entity.
`Entity`
DTD.`getEntity(int ch)`
Gets a character entity.
`Entity`
DTD.`getEntity(String name)`
Gets an entity by name.